summaryrefslogtreecommitdiff
path: root/autoconf/AutoRegen.sh
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2004-09-07 16:00:48 +0000
committerReid Spencer <rspencer@reidspencer.com>2004-09-07 16:00:48 +0000
commitdcd38750536329ed7f7e7085927b07cb4c4d682a (patch)
tree99c565ec62f0c87b242569ef492d92b8bc8ced54 /autoconf/AutoRegen.sh
parent53ecd51d974a9befce557f213de828c455d28500 (diff)
downloadllvm-dcd38750536329ed7f7e7085927b07cb4c4d682a.tar.gz
llvm-dcd38750536329ed7f7e7085927b07cb4c4d682a.tar.bz2
llvm-dcd38750536329ed7f7e7085927b07cb4c4d682a.tar.xz
- Perform all validity checks before doing anything.
- Use the -I parameter to aclocal to tell it where the autoconf/m4 directory is located so it can find needed autoconf functions git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@16225 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'autoconf/AutoRegen.sh')
-rwxr-xr-xautoconf/AutoRegen.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/autoconf/AutoRegen.sh b/autoconf/AutoRegen.sh
index 40bd96be5f..eec8b53164 100755
--- a/autoconf/AutoRegen.sh
+++ b/autoconf/AutoRegen.sh
@@ -4,18 +4,19 @@ die () {
exit 1
}
test -d autoconf && test -f autoconf/configure.ac && cd autoconf
-[ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
-echo "Regenerating aclocal.m4 with aclocal"
-aclocal || die "aclocal failed"
+test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
autoconf --version | egrep '2\.5[0-9]' > /dev/null
if test $? -ne 0
then
die "Your autoconf was not detected as being 2.5x"
fi
echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
+echo "Regenerating aclocal.m4 with aclocal"
+cwd=`pwd`
+aclocal -I $cwd/m4 || die "aclocal failed"
echo "Regenerating configure with autoconf 2.5x"
autoconf -o ../configure configure.ac || die "autoconf failed"
cd ..
echo "Regenerating config.h.in with autoheader 2.5x"
-autoheader -I autoconf autoconf/configure.ac || die "autoheader failed"
+autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
exit 0